rootProject.name=hyrule-id
profile=dev

# Build properties
node_version=12.16.1
npm_version=6.14.5
yarn_version=1.22.4

# Dependency versions
jhipster_dependencies_version=3.9.0
# The spring-boot version should match the one managed by
# https://mvnrepository.com/artifact/io.github.jhipster/jhipster-dependencies/${jhipster_dependencies_version}
spring_boot_version=2.2.7.RELEASE
# The hibernate version should match the one managed by
# https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-dependencies/${spring-boot.version} -->
hibernate_version=5.4.15.Final
mapstruct_version=1.3.1.Final
archunit_junit5_version=0.14.1
liquibase_hibernate5_version=3.8
liquibaseTaskPrefix=liquibase


jaxb_runtime_version=2.3.3

# gradle plugin version
jib_plugin_version=2.4.0
git_properties_plugin_version=2.2.2
gradle_node_plugin_version=2.2.4
apt_plugin_version=0.21
liquibase_plugin_version=2.0.3
sonarqube_plugin_version=2.8
spring_no_http_plugin_version=0.0.4.RELEASE
checkstyle_version=8.32

# jhipster-needle-gradle-property - JHipster will add additional properties here

## below are some of the gradle performance improvement settings that can be used as required, these are not enabled by default

## The Gradle daemon aims to improve the startup and execution time of Gradle.
## The daemon is enabled by default in Gradle 3+ setting this to false will disable this.
## TODO: disable daemon on CI, since builds should be clean and reliable on servers
## https://docs.gradle.org/current/userguide/gradle_daemon.html#sec:ways_to_disable_gradle_daemon
## uncomment the below line to disable the daemon

#org.gradle.daemon=false

## Specifies the JVM arguments used for the daemon process.
## The setting is particularly useful for tweaking memory settings.
## Default value: -Xmx1024m -XX:MaxPermSize=256m
## uncomment the below line to override the daemon defaults

#org.gradle.jvmargs=-Xmx1024m -XX:MaxPermSize=256m -XX:+HeapDumpOnOutOfMemoryError -Dfile.encoding=UTF-8

## When configured, Gradle will run in incubating parallel mode.
## This option should only be used with decoupled projects. More details, visit
## http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:decoupled_projects
## uncomment the below line to enable parallel mode

#org.gradle.parallel=true

## Enables new incubating mode that makes Gradle selective when configuring projects.
## Only relevant projects are configured which results in faster builds for large multi-projects.
## http://www.gradle.org/docs/current/userguide/multi_project_builds.html#sec:configuration_on_demand
## uncomment the below line to enable the selective mode

#org.gradle.configureondemand=true
